<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:orientation="vertical" android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:background="#ffffff">
        <TextView
            android:id="@+id/chat_all_message"
            android:layout_width="48dp"
            android:layout_height="22dp"
            android:gravity="center"
            android:text="全部"
            android:textSize="12dp"
            android:textColor="#666666"
            android:background="@drawable/im_chat_model_unselected_bg"
            android:layout_marginLeft="15dp"/>
        <TextView
            android:id="@+id/chat_servicing_message"
            android:layout_width="60dp"
            android:layout_height="22dp"
            android:gravity="center"
            android:text="服务中"
            android:textSize="12dp"
            android:textColor="#666666"
            android:background="@drawable/im_chat_model_unselected_bg"
            android:layout_marginLeft="10dp"/>
        <TextView
            android:id="@+id/chat_serviced_message"
            android:layout_width="60dp"
            android:layout_height="22dp"
            android:gravity="center"
            android:text="服务过"
            android:textSize="12dp"
            android:textColor="#666666"
            android:background="@drawable/im_chat_model_unselected_bg"
            android:layout_marginLeft="10dp"/>
    </LinearLayout>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">
        <com.jcodecraeer.xrecyclerview.XRecyclerView
            android:id="@+id/chat_recyclerview"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/im_white">
        </com.jcodecraeer.xrecyclerview.XRecyclerView>

        <com.yidianling.im.ui.page.widget.ChatUnusualView
            android:id="@+id/ll_chat_unusual_view"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/im_white"
            android:visibility="gone"/>
    </RelativeLayout>



</LinearLayout>
